%define lib_name %mklibname %{name}- %{api_version} %{lib_major}
%define lib_major 0
%define api_version 1

Summary:	API documentation browser for developers
Name:		devhelp
Version:	0.8.1
Release:	1mdk
License:	GPL
Group:		Development/Other
URL:		http://www.imendio.com/projects/devhelp/
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	libgnomeui2-devel
BuildRequires:	libgtkhtml2-devel
BuildRequires:	ImageMagick

%description
Devhelp is an API documentation browser for GNOME 2. It works
natively with Gtk-doc (System used in GTK+ and GNOME for
documentating APIs) and it is possible to create books for other
documentation as well.

%package -n %{lib_name}
Summary:	Dynamic libraries for devhelp
Group:		%{group}
Requires:	%{name} >= %{version}

%description -n %{lib_name}
this package contains dynamic libraries for devhelp.


%package -n %{lib_name}-devel
Summary:	Static libraries, include files for devhelp
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-%{api_version}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}

%description -n %{lib_name}-devel
Static library and headers file for devhelp.

%prep
%setup -q


%build

%define __libtoolize true
%configure2_5x --disable-install-schemas

%make

%install
rm -rf %{buildroot}

%makeinstall_std

# Menu entry 
mkdir -p %{buildroot}/%{_menudir}
cat >%{buildroot}/%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/devhelp" icon="devhelp.png" needs="X11" \
section="More applications/Development/Tools" title="DevHelp" longtitle="Developers Help program"
EOF

#icons
mkdir -p %{buildroot}%{_miconsdir} %{buildroot}%{_iconsdir}
install -m 644 -D       ui/%{name}.png %{buildroot}%{_liconsdir}/%{name}.png
convert -geometry 32x32 ui/%{name}.png %{buildroot}%{_iconsdir}/%{name}.png
convert -geometry 16x16 ui/%{name}.png %{buildroot}%{_miconsdir}/%{name}.png

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README INSTALL

%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/devhelp
%{_datadir}/pixmaps/*
%{_datadir}/mime-info/*

%{_menudir}/*
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%files -n %{lib_name}
%defattr(-, root, root)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%{_libdir}/*.so
%{_libdir}/*a
%{_libdir}/pkgconfig/*
%{_includedir}/devhelp-1.0

%changelog
* Fri Feb 13 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.1-1mdk
- Release 0.8.1

* Wed Feb 11 2004 Abel Cheung <deaddog@deaddog.org> 0.7-4mdk
- Fix menu
- Use Imagemagick to convert icons

* Tue Jul  1 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7-3mdk
- don't libtoolize to fix build of libdevhelp

* Tue Jul  1 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7-2mdk
- add icons
- fix url and package description

* Tue Jul 01 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.7-1mdk
- 0.7

* Fri Apr 25 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.6.0-1mdk
- Release 0.6.0

* Tue Apr 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.5.0-1mdk
- Release 0.5.0 (GNOME2)
- Remove patch0 (no longer needed)

* Fri Jan 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-5mdk
- Grr, really remove dependency on old openssl

* Fri Jan 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-4mdk
- Recompiled against latest openssl

* Thu Jan  2 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-3mdk
- PreReq GConf (fix bug 677)

* Wed Nov 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-2mdk
- Recompiled against latest gal/gtkhtml
- Patch0: add support for gtkhtml 1.1.x

* Thu May  2 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-1mdk
- Release 0.4

* Fri Apr 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3-1mdk
- Initial Mdk package (not libified, not needed)
